# Lines configured by zsh-newuser-install
HISTFILE=~/.histfile
HISTSIZE=10000
SAVEHIST=10000
export HISTTIMEFORMAT="%h/%d - %H:%M:%S "
#export HISTCONTROL=ignoredups
export HISTCONTROL=erasedups

#export HISTIGNORE=”&:ls:[bf]g:exit”
setopt -h histappend
PROMPT_COMMAND='history -a'

setopt append_history autocd extendedglob nomatch

#Doing this, only past commands beginning with the current input would've been shown.
bindkey "^[[A" history-search-backward
bindkey "^[[B" history-search-forward

unsetopt beep
#force emacs binding for tmux && screen
bindkey -e

# Completion for bash fonctions
autoload -U bashcompinit
bashcompinit

# Correct for wrong command like sl
setopt correctall

# Activate Prompt
autoload -U promptinit
promptinit
#prompt adam1
prompt bart


# pushd pour cd
setopt  autopushd
# ne tue pas les processus quand zsh quitte
#setopt  nohup
# auto cd avec le nom du dossier
setopt  autocd

#Un grep avec des couleurs :
export GREP_COLOR=31
alias grep='grep --color=auto'

# support des type mimes -> ./toto.pdf
autoload -U zsh-mime-setup
autoload -U zsh-mime-handler
zsh-mime-setup

if [ -f "${HOME}/.gpg-agent-info" ]; then
    . "${HOME}/.gpg-agent-info"
    export GPG_AGENT_INFO
    export SSH_AUTH_SOCK
    export SSH_AGENT_PID
fi

